Bug 185411 - update audio/pithos from 0.3.17 to 0.3.18
Summary: update audio/pithos from 0.3.17 to 0.3.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-02 07:40 UTC by John Hixson
Modified: 2014-01-02 22:50 UTC (History)
0 users

See Also:


Attachments
file.diff (10.90 KB, patch)
2014-01-02 07:40 UTC, John Hixson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hixson 2014-01-02 07:40:00 UTC

Fix: Patch attached with submission follows:
Comment 1 dfilter service freebsd_committer 2014-01-02 22:41:26 UTC
Author: rakuco
Date: Thu Jan  2 22:41:18 2014
New Revision: 338506
URL: http://svnweb.freebsd.org/changeset/ports/338506

Log:
  Update to 0.3.18.
  
  PR:		ports/185411
  Submitted by:	John Hixson <john@pcbsd.org> (maintainer)

Modified:
  head/audio/pithos/Makefile
  head/audio/pithos/distinfo
  head/audio/pithos/files/patch-setup.py
  head/audio/pithos/pkg-plist

Modified: head/audio/pithos/Makefile
==============================================================================
--- head/audio/pithos/Makefile	Thu Jan  2 21:29:37 2014	(r338505)
+++ head/audio/pithos/Makefile	Thu Jan  2 22:41:18 2014	(r338506)
@@ -2,10 +2,14 @@
 # $FreeBSD$
 
 PORTNAME=	pithos
-PORTVERSION=	0.3.17
+PORTVERSION=	0.3.18
 CATEGORIES=	audio
-MASTER_SITES=	DEBIAN
-DISTNAME=	${PORTNAME}_${PORTVERSION}.orig
+DISTNAME=	${PORTVERSION}
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	pithos	
+GH_PROJECT=	pithos
+GH_COMMIT=	0770210
 
 MAINTAINER=	john@pcbsd.org
 COMMENT=	Pandora client for the GNOME desktop
@@ -17,23 +21,18 @@ RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/xdg/_
 		${LOCALBASE}/libdata/pkgconfig/notify-python.pc:${PORTSDIR}/devel/py-notify \
 		${PYTHON_SITELIBDIR}/dbus/__init__.py:${PORTSDIR}/devel/py-dbus
 
-WRKSRC=		${WRKDIR}/${PORTNAME}_${PORTVERSION}
-
 USE_PYTHON=	2.6+
 NO_STAGE=	yes
 USE_GNOME=	pygtk2
-USE_PYDISTUTILS=	yes
+USE_PYDISTUTILS=	easy_install
 USE_GSTREAMER=	good bad python
+PYDISTUTILS_AUTOPLIST=	yes
 PYDISTUTILS_PKGNAME=	${PORTNAME}
-
-post-patch:
-	${REINPLACE_CMD} -e "s,../data/,${DATADIR}/," ${WRKSRC}/pithos/pithosconfig.py
-	${REINPLACE_CMD} -e "s,Icon=pithos,${DATADIR}/media/icon.png," ${WRKSRC}/pithos.desktop
+PYEASYINSTALL_EGG=	pithos-0.3-py2.7.egg
 
 post-install:
-	@${INSTALL} -o ${BINOWN} -g ${BINGRP} -m 555 \
-		${WRKSRC}/bin/${PORTNAME} ${PREFIX}/bin/${PORTNAME}
 	@${MKDIR} ${DATADIR}
 	@(cd ${WRKSRC}/data/ && ${COPYTREE_SHARE} \* ${DATADIR})
+	@(cd ${WRKSRC}/pithos/data/ && ${COPYTREE_SHARE} \* ${DATADIR})
 
 .include <bsd.port.mk>

Modified: head/audio/pithos/distinfo
==============================================================================
--- head/audio/pithos/distinfo	Thu Jan  2 21:29:37 2014	(r338505)
+++ head/audio/pithos/distinfo	Thu Jan  2 22:41:18 2014	(r338506)
@@ -1,2 +1,2 @@
-SHA256 (pithos_0.3.17.orig.tar.gz) = ef6ee1545fa60b065b0043d79fe89fd1c1b70fe4ae944055d2c7b9d890cf1bde
-SIZE (pithos_0.3.17.orig.tar.gz) = 141332
+SHA256 (0.3.18.tar.gz) = e676d455341c03cf271bffc698771713d42f86655f2171a493ffb1a74b51fdac
+SIZE (0.3.18.tar.gz) = 115198

Modified: head/audio/pithos/files/patch-setup.py
==============================================================================
--- head/audio/pithos/files/patch-setup.py	Thu Jan  2 21:29:37 2014	(r338505)
+++ head/audio/pithos/files/patch-setup.py	Thu Jan  2 22:41:18 2014	(r338506)
@@ -1,85 +1,26 @@
---- setup.py	2012-05-03 13:47:11.000000000 -0700
-+++ setup.py	2012-06-01 11:40:31.000000000 -0700
-@@ -17,74 +17,19 @@
- 
- ###################### DO NOT TOUCH THIS (HEAD TO THE SECOND PART) ######################
- 
--try:
--    import DistUtilsExtra.auto
--except ImportError:
--    import sys
--    print >> sys.stderr, 'To build pithos you need https://launchpad.net/python-distutils-extra'
--    sys.exit(1)
--
--assert DistUtilsExtra.auto.__version__ >= '2.10', 'needs DistUtilsExtra.auto >= 2.10'
-+import sys
- import os
-+from distutils.core import setup
- 
--
--def update_data_path(prefix, oldvalue=None):
--
--    try:
--        fin = file('pithos/pithosconfig.py', 'r')
--        fout = file(fin.name + '.new', 'w')
--
--        for line in fin:            
--            fields = line.split(' = ') # Separate variable from value
--            if fields[0] == '__pithos_data_directory__':
--                # update to prefix, store oldvalue
--                if not oldvalue:
--                    oldvalue = fields[1]
--                    line = "%s = '%s'\n" % (fields[0], prefix)
--                else: # restore oldvalue
--                    line = "%s = %s" % (fields[0], oldvalue)
--            fout.write(line)
--
--        fout.flush()
--        fout.close()
--        fin.close()
--        os.rename(fout.name, fin.name)
--    except (OSError, IOError), e:
--        print ("ERROR: Can't find pithos/pithosconfig.py")
--        sys.exit(1)
--    return oldvalue
--
--
--class InstallAndUpdateDataDirectory(DistUtilsExtra.auto.install_auto):
--    def run(self):
--        if self.root or self.home:
--            print "WARNING: You don't use a standard --prefix installation, take care that you eventually " \
--            "need to update quickly/quicklyconfig.py file to adjust __quickly_data_directory__. You can " \
--            "ignore this warning if you are packaging and uses --prefix."
--        previous_value = update_data_path(self.prefix + '/share/pithos/')
--        DistUtilsExtra.auto.install_auto.run(self)
--        update_data_path(self.prefix, previous_value)
--
--from distutils.cmd import Command    
--class OverrideI18NCommand(Command):
--	def initialize_options(self): pass
--	def finalize_options(self): pass
--	def run(self):
--		self.distribution.data_files.append(('share/applications', ['pithos.desktop']))
--
--from DistUtilsExtra.command.build_extra import build_extra
--from DistUtilsExtra.command.build_icons import build_icons
--
--DistUtilsExtra.auto.setup(
-+required = []
-+setup(
-     name='pithos',
--    version='0.3',
--    ext_modules=[],
-+    version='0.3.17',
-     license='GPL-3',
-     author='Kevin Mehall',
-     author_email='km@kevinmehall.net',
-     description='Pandora.com client for the GNOME desktop',
--    #long_description='Here a longer description',
-     url='https://launchpad.net/pithos',
--    cmdclass={'install': InstallAndUpdateDataDirectory, 'build_icons':build_icons, 'build':build_extra, 'build_i18n':OverrideI18NCommand}
--    )
--
-+    packages=['pithos', 'pithos.pandora', 'pithos.plugins'],
-+    package_dir = {'pithos':'pithos'}
-+)
+--- setup.py	2013-12-05 06:59:17.000000000 -0800
++++ setup.py	2014-01-01 23:25:57.944668958 -0800
+@@ -50,12 +50,13 @@
+         'License :: OSI Approved :: GPL License',
+         'Programming Language :: Python'
+     ],
++
+     data_files=[
+-        ('/usr/share/icons/hicolor/scalable/apps', [
++        ('share/pithos/icons/hicolor/scalable/apps', [
+              'data/icons/scalable/apps/pithos-mono.svg',
+              'data/icons/scalable/apps/pithos.svg'
+          ]),
+-        ('/usr/share/applications', ['data/pithos.desktop'])
++        ('share/pithos/applications', ['data/pithos.desktop'])
+     ],
+     package_data={
+         'pithos': [
+@@ -70,6 +71,7 @@
+     ],
+     packages=find_packages(),
+     include_package_data=True,
++    zip_safe=False,
+     entry_points={
+         'gui_scripts': ['pithos = pithos.pithos:main']
+     }

Modified: head/audio/pithos/pkg-plist
==============================================================================
--- head/audio/pithos/pkg-plist	Thu Jan  2 21:29:37 2014	(r338505)
+++ head/audio/pithos/pkg-plist	Thu Jan  2 22:41:18 2014	(r338506)
@@ -1,94 +1,25 @@
-bin/pithos
-%%PYTHON_SITELIBDIR%%/pithos/AboutPithosDialog.py
-%%PYTHON_SITELIBDIR%%/pithos/PreferencesPithosDialog.py
-%%PYTHON_SITELIBDIR%%/pithos/SearchDialog.py
-%%PYTHON_SITELIBDIR%%/pithos/StationsDialog.py
-%%PYTHON_SITELIBDIR%%/pithos/__init__.py
-%%PYTHON_SITELIBDIR%%/pithos/dbus_service.py
-%%PYTHON_SITELIBDIR%%/pithos/gobject_worker.py
-%%PYTHON_SITELIBDIR%%/pithos/plugin.py
-%%PYTHON_SITELIBDIR%%/pithos/pylast.py
-%%PYTHON_SITELIBDIR%%/pithos/sound_menu.py
-%%PYTHON_SITELIBDIR%%/pithos/pandora/__init__.py
-%%PYTHON_SITELIBDIR%%/pithos/pandora/blowfish.py
-%%PYTHON_SITELIBDIR%%/pithos/pandora/fake.py
-%%PYTHON_SITELIBDIR%%/pithos/pandora/pandora.py
-%%PYTHON_SITELIBDIR%%/pithos/pandora/pandora_keys.py
-%%PYTHON_SITELIBDIR%%/pithos/pandora/__init__.pyc
-%%PYTHON_SITELIBDIR%%/pithos/pandora/blowfish.pyc
-%%PYTHON_SITELIBDIR%%/pithos/pandora/fake.pyc
-%%PYTHON_SITELIBDIR%%/pithos/pandora/pandora.pyc
-%%PYTHON_SITELIBDIR%%/pithos/pandora/pandora_keys.pyc
-%%PYTHON_SITELIBDIR%%/pithos/pandora/__init__.pyo
-%%PYTHON_SITELIBDIR%%/pithos/pandora/blowfish.pyo
-%%PYTHON_SITELIBDIR%%/pithos/pandora/fake.pyo
-%%PYTHON_SITELIBDIR%%/pithos/pandora/pandora.pyo
-%%PYTHON_SITELIBDIR%%/pithos/pandora/pandora_keys.pyo
-%%PYTHON_SITELIBDIR%%/pithos/plugins/__init__.py
-%%PYTHON_SITELIBDIR%%/pithos/plugins/mediakeys.py
-%%PYTHON_SITELIBDIR%%/pithos/plugins/notification_icon.py
-%%PYTHON_SITELIBDIR%%/pithos/plugins/notify.py
-%%PYTHON_SITELIBDIR%%/pithos/plugins/screensaver_pause.py
-%%PYTHON_SITELIBDIR%%/pithos/plugins/scrobble.py
-%%PYTHON_SITELIBDIR%%/pithos/plugins/__init__.pyc
-%%PYTHON_SITELIBDIR%%/pithos/plugins/mediakeys.pyc
-%%PYTHON_SITELIBDIR%%/pithos/plugins/notification_icon.pyc
-%%PYTHON_SITELIBDIR%%/pithos/plugins/notify.pyc
-%%PYTHON_SITELIBDIR%%/pithos/plugins/screensaver_pause.pyc
-%%PYTHON_SITELIBDIR%%/pithos/plugins/scrobble.pyc
-%%PYTHON_SITELIBDIR%%/pithos/plugins/__init__.pyo
-%%PYTHON_SITELIBDIR%%/pithos/plugins/mediakeys.pyo
-%%PYTHON_SITELIBDIR%%/pithos/plugins/notification_icon.pyo
-%%PYTHON_SITELIBDIR%%/pithos/plugins/notify.pyo
-%%PYTHON_SITELIBDIR%%/pithos/plugins/screensaver_pause.pyo
-%%PYTHON_SITELIBDIR%%/pithos/plugins/scrobble.pyo
-%%PYTHON_SITELIBDIR%%/pithos/pithosconfig.py
-%%PYTHON_SITELIBDIR%%/pithos/AboutPithosDialog.pyc
-%%PYTHON_SITELIBDIR%%/pithos/PreferencesPithosDialog.pyc
-%%PYTHON_SITELIBDIR%%/pithos/SearchDialog.pyc
-%%PYTHON_SITELIBDIR%%/pithos/StationsDialog.pyc
-%%PYTHON_SITELIBDIR%%/pithos/__init__.pyc
-%%PYTHON_SITELIBDIR%%/pithos/dbus_service.pyc
-%%PYTHON_SITELIBDIR%%/pithos/gobject_worker.pyc
-%%PYTHON_SITELIBDIR%%/pithos/plugin.pyc
-%%PYTHON_SITELIBDIR%%/pithos/pylast.pyc
-%%PYTHON_SITELIBDIR%%/pithos/sound_menu.pyc
-%%PYTHON_SITELIBDIR%%/pithos/pithosconfig.pyc
-%%PYTHON_SITELIBDIR%%/pithos/AboutPithosDialog.pyo
-%%PYTHON_SITELIBDIR%%/pithos/PreferencesPithosDialog.pyo
-%%PYTHON_SITELIBDIR%%/pithos/SearchDialog.pyo
-%%PYTHON_SITELIBDIR%%/pithos/StationsDialog.pyo
-%%PYTHON_SITELIBDIR%%/pithos/__init__.pyo
-%%PYTHON_SITELIBDIR%%/pithos/dbus_service.pyo
-%%PYTHON_SITELIBDIR%%/pithos/gobject_worker.pyo
-%%PYTHON_SITELIBDIR%%/pithos/plugin.pyo
-%%PYTHON_SITELIBDIR%%/pithos/pylast.pyo
-%%PYTHON_SITELIBDIR%%/pithos/sound_menu.pyo
-%%PYTHON_SITELIBDIR%%/pithos/pithosconfig.pyo
-%%DATADIR%%/icons/scalable/apps/pithos-mono.svg
-%%DATADIR%%/icons/scalable/apps/pithos.svg
-%%DATADIR%%/media/album_default.png
-%%DATADIR%%/media/album_default.svg
-%%DATADIR%%/media/icon.png
 %%DATADIR%%/media/pithos-mono.png
-%%DATADIR%%/media/rate_bg.png
+%%DATADIR%%/media/icon.png
 %%DATADIR%%/media/rate_bg.svg
-%%DATADIR%%/ui/AboutPithosDialog.ui
+%%DATADIR%%/media/album_default.png
+%%DATADIR%%/media/rate_bg.png
+%%DATADIR%%/media/album_default.svg
+%%DATADIR%%/icons/scalable/apps/pithos-mono.svg
+%%DATADIR%%/icons/scalable/apps/pithos.svg
+%%DATADIR%%/pithos.desktop
 %%DATADIR%%/ui/PithosWindow.ui
+%%DATADIR%%/ui/preferences_pithos_dialog.xml
+%%DATADIR%%/ui/pithos_window.xml
 %%DATADIR%%/ui/PreferencesPithosDialog.ui
+%%DATADIR%%/ui/stations_dialog.xml
+%%DATADIR%%/ui/search_dialog.xml
+%%DATADIR%%/ui/AboutPithosDialog.ui
+%%DATADIR%%/ui/about_pithos_dialog.xml
 %%DATADIR%%/ui/SearchDialog.ui
 %%DATADIR%%/ui/StationsDialog.ui
-%%DATADIR%%/ui/about_pithos_dialog.xml
-%%DATADIR%%/ui/pithos_window.xml
-%%DATADIR%%/ui/preferences_pithos_dialog.xml
-%%DATADIR%%/ui/search_dialog.xml
-%%DATADIR%%/ui/stations_dialog.xml
-@dirrm %%DATADIR%%/ui
-@dirrm %%DATADIR%%/media
 @dirrm %%DATADIR%%/icons/scalable/apps
 @dirrm %%DATADIR%%/icons/scalable
 @dirrm %%DATADIR%%/icons
+@dirrm %%DATADIR%%/media
+@dirrm %%DATADIR%%/ui
 @dirrm %%DATADIR%%
-@dirrm %%PYTHON_SITELIBDIR%%/pithos/plugins
-@dirrm %%PYTHON_SITELIBDIR%%/pithos/pandora
-@dirrm %%PYTHON_SITELIBDIR%%/pithos
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Raphael Kubo da Costa freebsd_committer 2014-01-02 22:42:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!